# Uses of Class
org.eclipse.gef.commands.CommandStack

Packages that use CommandStack
Package
Description
org.eclipse.gef
All interfaces, base types, and the plugin class are here.
org.eclipse.gef.commands
Simple implementations of the Command interface which support development-time inspection.
org.eclipse.gef.ui.actions
This package support for using JFace Actions in your EditorPart.
org.eclipse.gef.ui.parts
org.eclipse.gef.ui.properties

## Uses of CommandStack in org.eclipse.gef

Methods in org.eclipse.gef that return CommandStack
Modifier and Type
Method
Description
`CommandStack`
EditDomain.`getCommandStack()`
Returns the CommandStack.
Methods in org.eclipse.gef with parameters of type CommandStack
Modifier and Type
Method
Description
`static IPropertySheetEntry`
GEFPlugin.`createUndoablePropertySheetEntry(CommandStack stack)`
Deprecated.
use org.eclipse.gef.ui.properties.UndoablePropertySheetEntry
`void`
EditDomain.`setCommandStack(CommandStack stack)`
Sets the `CommandStack`.

## Uses of CommandStack in org.eclipse.gef.commands

Constructors in org.eclipse.gef.commands with parameters of type CommandStack
Modifier
Constructor
Description
``
`CommandStackEvent(CommandStack stack, Command c, int detail)`
Constructs a new event instance.

## Uses of CommandStack in org.eclipse.gef.ui.actions

Methods in org.eclipse.gef.ui.actions that return CommandStack
Modifier and Type
Method
Description
`protected CommandStack`
WorkbenchPartAction.`getCommandStack()`
Returns the editor's command stack.

## Uses of CommandStack in org.eclipse.gef.ui.parts

Methods in org.eclipse.gef.ui.parts that return CommandStack
Modifier and Type
Method
Description
`protected CommandStack`
GraphicalEditor.`getCommandStack()`
Returns the command stack.

## Uses of CommandStack in org.eclipse.gef.ui.properties

Methods in org.eclipse.gef.ui.properties that return CommandStack
Modifier and Type
Method
Description
`protected CommandStack`
UndoablePropertySheetEntry.`getCommandStack()`
Returns the `CommandStack` that is used by this entry.
Constructors in org.eclipse.gef.ui.properties with parameters of type CommandStack
Modifier
Constructor
Description
``
`UndoablePropertySheetEntry(CommandStack commandStack)`
Constructs the root entry using the given command stack.
``
`UndoablePropertySheetPage(CommandStack commandStack, IAction undoAction, IAction redoAction)`
Constructs a new `UndoablePropertySheetPage`.